using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Xml;

using EQNetwork.Utility;
using EQNetwork.Aspects;

namespace EQNetwork.Objects
{
    public class InvitationContext : PropertyChangeTracker
    {

        [TrackPropertyChanged()]
        int? collectionId;

        [TrackPropertyChanged()]
        int? user_CollectionTypeId;
        [TrackPropertyChanged()]
        int? other_UserId;
        [TrackPropertyChanged()]
        bool? user_UserFollowing;

        [TrackPropertyChanged()]
        string emails;
        [TrackPropertyChanged()]
        string message;

        [TrackPropertyChanged()]
        string sendTo_FacebookIds;
        [TrackPropertyChanged()]
        string sendTo_TwitterIds;
        [TrackPropertyChanged()]
        string sendTo_UserIds;
        [TrackPropertyChanged()]
        string sendTo_SmsPhones;

        [TrackPropertyChanged()]
        bool? sentClientSide;

        [TrackPropertyChanged()]
        string data;
    }
}
